El Foro

Wine error

Autor Respuestas
pelinho Sunday 28 July 2013 at 23:01
pelinhoAnonymous

Hi, i'm new user.

When i try to install mono (from wineconfig command) it crashes. So i decided to download it & open cmd and here is what i got:

PlayonLinux:~> wine msiexec /i winemono.msi
wine:cannot find L"C:\\\\windows\\\\system32\\\\winemenubuilder.exe"
err:wineboot:ProcessRunKeys Error running cmd L"C:\\\\windows\\\\system32\\\\winemnubuilder.exe -a -r" (2)
fixme:storage:create_storagefile Storage share mode not implemented.
p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so:/usr/lib/i386-linux-gnu/pkcs11/gnome-keyrinf-pkcs11.so: cannot open shared object file: No such file or catalogue

Editado por: pelinho

Ronin DUSETTE Monday 29 July 2013 at 3:09
Ronin DUSETTE
Admin

um, nah. Dont do it like that. It should automatically install on its own when a wine version that requires it is used to create a virtual drive.

What is the issue that you are having that makes you want to do this?

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
pelinho Monday 29 July 2013 at 14:50
pelinhoAnonymous

um, nah. Dont do it like that. It should automatically install on its own when a wine version that requires it is used to create a virtual drive.

What is the issue that you are having that makes you want to do this?

Quote from DJYoshaBYD

Yes, but i did that because it doesn't do it automatically... It shows me an error about checksum.

Now i installed mono210 from PlayOnLinux and works fine when it's needed.
Ronin DUSETTE Tuesday 30 July 2013 at 18:12
Ronin DUSETTE
Admin

Well, if it fails to download, it will give a checksum error, as it does download manually. Wine recommends for anything beyond 1.5.6, to use wine-mono, and anything before that, to install the windows version of mono 2.10 in the virtual drive.

You can also download and cache the wine-mono package from here, so you wont get download errors when creating virtual drives now.

http://wiki.winehq.org/Mono

Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
petch Tuesday 30 July 2013 at 18:39
petch
Developer

The development version should now take care of this; See on the download page how to obtain it if you want to give it a try.
pelinho Wednesday 31 July 2013 at 0:42
pelinhoAnonymous

Well, if it fails to download, it will give a checksum error, as it does download manually. Wine recommends for anything beyond 1.5.6, to use wine-mono, and anything before that, to install the windows version of mono 2.10 in the virtual drive.

You can also download and cache the wine-mono package from here, so you wont get download errors when creating virtual drives now.

[url]http://wiki.winehq.org/Mono[/url]

Quote from DJYoshaBYD

Yeah that was what i was saying. But now with POL install, it's fine.

The development version should now take care of this; See on the download page how to obtain it if you want to give it a try.

Quote from petch
What? (my english aren't good enough to understand you)

Editado por: pelinho

petch Wednesday 31 July 2013 at 1:04
petch
Developer

The development version of PlayOnLinux takes care of download wine-mono on behalf of Wine, so that it's cached locally and just works.
pelinho Wednesday 31 July 2013 at 2:13
pelinhoAnonymous

Thank you.
Estas Aqui: Index > PlayOnLinux > Wine error